package com.bonus.sgzb.base.service;


import com.bonus.sgzb.base.domain.BmProjectLot;
import com.bonus.sgzb.base.domain.vo.BmProjectLotImport;
import com.bonus.sgzb.common.core.web.domain.AjaxResult;

import java.util.List;

public interface BmProjectLotService {
    public List<BmProjectLot> getProjectLotAll(BmProjectLot bmProjectLot);

    public List<BmProjectLot> getProjectLot(BmProjectLot bmProjectLot);

    public AjaxResult projectLotAdd(BmProjectLot bmProjectLot);

    public void remove(Long[] proIds);

    public AjaxResult updateBmProjectLot(BmProjectLot bmProjectLot);

    public int deleteProjectLotById(Long lotId);

    String importBmProjectLot(List<BmProjectLotImport> bmProjectLotImportList);

}
